PKWALIFY(1p)

NAME
pkwalify - Kwalify schema for data structures

SYNOPSIS
    pkwalify [-v] [-s] -f schemafile datafile

DESCRIPTION
pkwalify validates the data from datafile (which may be a YAML or JSON file) against a schema defined with schemafile (which also may be a YAML or JSON file).

The program returns the number of errors found in the datafile. An exit status 0 means no errors.

  OPTIONS

-f schemafile
    Specify a schema file, either as YAML or JSON. Required.

-s  Be silent if the document is valid.

-v  Show script and module versions and exit.

-h --help
    Show summary of options.

AUTHOR
Slaven ReziX, <srezic@cpan.org>

SEE ALSO
Kwalify, kwalify(1), JSON, YAML.